Subject: ibmveth and LIOBN field

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 18 Oct 2006 15:41:09 +1000

Hi Santiago !

I'm a bit annoyed by a bit of code in the ibmveth driver:

It accesses the iommu table pointer, to get the index and put it into
it's own private adapter->liobn member. However, that is never used
anywhere except in ibmveth_seq_show() for the /proc stuff to display
this LIOBN value.

Is this actually useful ? I'd like to just remove that code. I'm
changing the DMA operations management globally in the powerpc
architecture and that code now needs fixups. I've done them, but it
annoys me to have this driver dive into data structures like iommu_table
that is should have no business mucking with.

Cheers,
Ben.